Subject: Re: [bug#55874] [PATCH] Add timewarrior 1.4.3

From: Maxime Devos <[email-masked]>
Date: Fri, 10 Jun 2022 17:00:03 +0200

Zac Berkowitz schreef op vr 10-06-2022 om 10:04 [-0400]:
> The python scripts in ext/ are completely optional according to the
> README in that same directory.  Like taskwarrior, timewarrior can
> execute python scripts as hooks in response to various commands, but
> they're not necessary for base use.

Two comments:

  * the scripts are installed in share/doc/timew, so I don't think they
    are actually automatically or discoverable by the user, so FWIW
    as-is they can be removed (removing the reference to python).
    Alternatively you could look into making them functional, as some
    other distros do.

  * the scripts do subprocess.call(['timew', ...]).  For robustness,
    if these scripts are kept, the 'timew' needs to be replaced by the
    /gnu/store/.../bin/timew (by using 'substitute*' in a phase).

Greetings,
Maxime.